com.r3corda.core.schemas / MappedSchema / <init>

# <init>

`MappedSchema(schemaFamily: Class<*>, version: Int, mappedTypes: Iterable<Class<*>>)`

A database schema that might be configured for this node. As well as a name and version for identifying the schema, also list the classes that may be used in the generated object graph in order to configure the ORM tool.

### Parameters

`schemaFamily` - A class to fully qualify the name of a schema family (i.e. excludes version)
`version` - The version number of this instance within the family.
`mappedTypes` - The JPA entity classes that the ORM layer needs to be configure with for this schema.